Page MenuHomeFreeBSD

sdhci_fsl_fdt: Apply errata for LX2160A
ClosedPublic

Authored by hum_semihalf.com on Jan 25 2022, 8:35 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jul 13, 7:22 PM
Unknown Object (File)
Sat, Jul 13, 7:18 PM
Unknown Object (File)
Sun, Jun 23, 11:51 PM
Unknown Object (File)
Jun 17 2024, 4:50 PM
Unknown Object (File)
Jun 14 2024, 8:00 PM
Unknown Object (File)
May 29 2024, 1:09 AM
Unknown Object (File)
May 14 2024, 4:51 PM
Unknown Object (File)
May 12 2024, 4:37 PM

Details

Summary

LX2160A is affected by two erratum regarding SDHCI. However this board
has generic compat string in DTS for SDHCI which means erratum cannot
be simply applied. Compare compat string from "/" path with LX2160A
compat string when attaching device and apply erratum.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

one nit to check on, otherwise looks OK to me.

sys/dev/sdhci/sdhci_fsl_fdt.c
806

This comment looks misaligned... though that may be an artifact of phab.

This revision is now accepted and ready to land.Jan 28 2022, 12:11 AM
This revision was automatically updated to reflect the committed changes.